mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about INVOKEKIND, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Specifies how to invoke a function by IDispatch::Invoke.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.INVOKEKIND

  The member is called using a normal function invocation syntax.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.INVOKEKIND

  The function is invoked using a normal property access syntax.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.INVOKEKIND

  The function is invoked using a property value assignment syntax.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.INVOKEKIND

  The function is invoked using a property reference assignment syntax.